Use GHC version for coercion rules
authorDavid Feuer <David.Feuer@gmail.com>
Fri, 21 Nov 2014 15:14:38 +0000 (10:14 -0500)
committerDavid Feuer <David.Feuer@gmail.com>
Fri, 21 Nov 2014 15:14:38 +0000 (10:14 -0500)
commit8da46dbc4598062397c6a6b684f7bae9931f3d80
tree88d35245dec572ceb5d1f99e56e90b914aa197a8
parentdde7a531b506096ae32b358c2dc83f3edac91ec2
Use GHC version for coercion rules

Using the library version didn't make much sense, especially since the
tests-ghc tests had to switch on compiler version anyway, but also
because compiling without cabal would prevent the code from being used.
The conditional fake MIN_VERSION_base definition should probably stay up
top where I moved it, though, in case someone needs to use it to adjust
imports or exports in the future--the top seems an inherently better
place for that.
Data/Map/Base.hs
Data/Map/Strict.hs
Data/Sequence.hs